Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1421279 - [RFE] Document Deployment limitations and suggestions
Summary: [RFE] Document Deployment limitations and suggestions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: RHOS Documentation Team
QA Contact: RHOS Documentation Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-10 20:50 UTC by Joe Talerico
Modified: 2020-04-15 15:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-01 00:27:58 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Joe Talerico 2017-02-10 20:50:41 UTC
Description of problem:

We need to add to our limitation document[1] that we recommend not scaling past 300 compute nodes per-region with our monolithic controller configuration. 

Additionally, I would like to see a "OpenStack Director Limitation and Recommendations" section. 

Initially, I would like to see us add a recommendation to not deploy > 32 nodes at a time. This will ensure more successful deployments and scale-out situations. 

Things I would like to add later: How many nodes can we deploy of Ceph (based on OSD count?),  Numbers of HCI nodes we support, etc...

[1] https://access.redhat.com/articles/1436373

Comment 8 Sai Sindhur Malleni 2019-05-01 00:27:58 UTC
Closing this as a scaling guide has been published now for OSP 10 https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/10/html/recommendations_for_large_deployments/index


Note You need to log in before you can comment on or make changes to this bug.